#ifndef PGLOBALT_H
#define PGLOBALT_H

#ifndef EXTERN
#define EXTERN extern
#endif

#include "genfile.h"
#include "seqfilest.h"
#include "pprobdesct.h"


//**************************************
//**************************************
//  GLOBAL CONSTANTS AND VARIABLES
//**************************************
//**************************************

//  number of processors
EXTERN int Nproc;

//  rank of process
EXTERN int Myrank;

//  number of subdomain
EXTERN int Ndom;

//*****************************
//*****************************
//  CLASSES CONTAINING DATA
//*****************************
//*****************************

//  problem description
EXTERN pprobdesct *Ptp;

//  parallel solver
EXTERN psolver *Psolt;

#endif
